Net::Domain(3pm)

NAME
Net::Domain - Attempt to evaluate the current host's internet name and domain

SYNOPSIS

    use Net::Domain qw(hostname hostfqdn hostdomain);

DESCRIPTION
Using various methods attempt to find the Fully Qualified Domain Name (FQDN) of the current host. From this determine the host-name and the host-domain.

Each of the functions will return undef if the FQDN cannot be determined. Identify and return the FQDN of the current host. Returns the smallest part of the FQDN which can be used to identify the host. Returns the remainder of the FQDN after the hostname has been removed.

AUTHOR
Graham Barr <gbarr@ti.com>. Adapted from Sys::Hostname by David Sundstrom <sunds@asictest.sc.ti.com>

COPYRIGHT
Copyright (c) 1995-1997 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.